[Editor] Sublime AMXX-Editor v3.0Beta
Actualizado v1.7!

Cita:- Comprobación de actualización automática.

- En la versión anterior agregue para que la sintaxis marquen como constantes las palabras escritas en mayúsculas, eso lo removí y ahora las constantes son generadas por el analizador de codigo.

- Mensajes para depurar errores del editor ( activar configurando "debug_level" ).

- Agregado la versión portable con todo incluido y configurado.

Responder
Código:
%YAML 1.2
---
scope: source.sma
contexts:
  main:
    - match: \b(__test)\b
      scope: constant.vars.pawn

se te paso Roflmao



EDIT: Che escúchame, una cosa seria, podrías agregar algo para hacer que no te setee si o si el tema de "dark-pawn" o "white-pawn", antes hacia un modified lo seleccionaba, y cambiándole el nombre a la sintaxis podía usarlo y sin problemas, pero ahora se me ven las cosas mal al hacer eso, no entiendo por que.

Podrías agregar un valor para tener custom el tema y que no te lo cambie, por que a mi no me gustan ponele el color de los comentarios esos marrones y lo quisiera tener en azul

Hay muchas cosas del .py que no entiendo, y no encuentro el lugar donde lo hace así que si hicieras eso, +10 a tu post (?
(03/07/2016, 11:24 PM)meTaLiCroSS escribió: Como lo hizo sasske es como lo estipule de un principio Proud
Responder
[Imagen: 4587afd5f8.png]
Responder
(25/06/2016, 08:41 PM)sasske escribió: EDIT: Che escúchame, una cosa seria, podrías agregar algo para hacer que no te setee si o si el tema de "dark-pawn" o "white-pawn", antes hacia un modified lo seleccionaba, y cambiándole el nombre a la sintaxis podía usarlo y sin problemas, pero ahora se me ven las cosas mal al hacer eso, no entiendo por que.

Podrías agregar un valor para tener custom el tema y que no te lo cambie, por que a mi no me gustan ponele el color de los comentarios esos marrones y lo quisiera tener en azul

Hay muchas cosas del .py que no entiendo, y no encuentro el lugar donde lo hace así que si hicieras eso, +10 a tu post (?
no entendi del todo jaja

agarras el dark-pawn.tmTheme, lo modificas a tu gusto y lo pones en:
%AppData%\Roaming\Sublime Text 3\Packages\amxmodx\

@Goonzah
se me paso esa xd
Responder
@Destro ¿cómo creas los temas, los haces a mano o con alguna herramienta?
Believe, be yourself and don't hold on to just one dream ❤

Responder
A mano, solo uso el http://colorpicker.com/ para los colores
Responder
A las pilas que le metiste al editor Destro, si tanto empeño le metiste vale la pena probarlo.

Me da paja, porque ya me acostumbre al NP++ y ya tengo toda la config hecha, compilar y las natives etc. Pero dsp de ver todo este proyecto, lo voy a probar.

Gracias por el aporte.
Responder
(26/06/2016, 12:43 AM)Destro escribió: no entendi del todo jaja

agarras el dark-pawn.tmTheme, lo modificas a tu gusto y lo pones en:
%AppData%\Roaming\Sublime Text 3\Packages\amxmodx\

Mas o menos.

Osea, yo le cambie 2 cosas nada mas:

[Imagen: attachment.php?aid=3757]

Le puse los comentarios en ese color azul, y puse que al poner el '!' luego de las barras de comment lo ponga así tipo resaltado.

Para hacer eso modificaba el archivo de .tmLenguage (ahora .sublime-syntax) y lo guardaba en "Roaming/Sublime Text 3/Packages/User/AMXX-Pawn-modified.sublime-syntax"

Luego le agregaba al .tmTheme las cosas que necesitaba y lo guardaba en el mismo lugar.

Cuando abría un archivo .sma seleccionaba la syntaxis modificada, el tema modificado siempre seleccionado y me ponía las cosas como debe ser.

Ahora lo que pasa es que, cuando hago todo esto, no me detecta como debe ser las partes de código que las analiza el archivo .py(plugin)

Aca se ve como no reconoce los includes y las definiciones:
[Imagen: attachment.php?aid=3758]


Archivos adjuntos Miniatura(s)
       
(03/07/2016, 11:24 PM)meTaLiCroSS escribió: Como lo hizo sasske es como lo estipule de un principio Proud
Responder
si lo añadís al ."zip/.sublime-package" funciona ?

igual ami se me hace que es un problema en lo que agregaste y no en como se carga el archivo
Responder
EDIT: UEUEUEUUEEEEEEEE, fue equivocación mía, completamente, me olvide yo de cambiar el color del comment cuando actualice el archivo y caput, creí que era cosa tuya, si mantengo los nombres de los archivos igual, funciona bien. Gracias Destro
(03/07/2016, 11:24 PM)meTaLiCroSS escribió: Como lo hizo sasske es como lo estipule de un principio Proud
Responder
Actualizado v1.8!

Cita:- Highlight en la consola del compilador.
- Pequeños errores corregidos.


Esta versión es mas que nada para probar el Auto-Update Check Crab
Responder
Desde que actualice la 1.7 y ahora con la 1.8 me aparece este cartel cada vez que lo abro.

[Imagen: fUyx2dw.png]
Believe, be yourself and don't hold on to just one dream ❤

Responder
(02/07/2016, 12:52 AM)Federicomb escribió: Desde que actualice la 1.7 y ahora con la 1.8 me aparece este cartel cada vez que lo abro.

[Imagen: fUyx2dw.png]

Me pasaba lo mismo, descarge el portable y se me fue el error.
Responder
Es porque después de la v1.5 cambio el archivo de sintaxis, para solucionarlo tienen que ir a:
"View" -> "Syntax" -> "Open all with current extension at as" -> "amxmodx" -> "AMXX-Pawn"
Responder
(02/07/2016, 01:33 PM)Destro escribió: Es porque después de la v1.5 cambio el archivo de sintaxis, para solucionarlo tienen que ir a:
"View" -> "Syntax" -> "Open all with current extension at as" -> "amxmodx" -> "AMXX-Pawn"

Ya lo tenía, pero me lo sigue haciendo Oh god why

EDIT: Ya lo solucioné, era un .inc que tenía abierto de antes de actualizar a 1.7 y buscaba esa sintaxis.
Believe, be yourself and don't hold on to just one dream ❤

Responder
Alguien sabe que version de sublimetext es? la 2 o 3?
* Ing. Informático * Mapper * Venezolano
Responder
Es la 3
TFD ------ 10% (proyecto parado)

[Imagen: 76561198053053139.png]
Responder
[Imagen: fdSakHd.png]
Resulta que agregue un %1 al macro y me resaltaba el paréntesis que cierra la macro (El primer paréntesis) y me salto ese error.

PD: No se como pero lo arreglé, toqueteando las sintaxis, cambiándolas, cambiando los temas...
Pero el error está en que si agrego un parámetro a una macro, ocurre ese error
Responder
:O
anotado para corregir en la próxima versión xd
Responder
[Imagen: eY1Gu86.png]

Termine de agregar las celdas al enum structColor, seleccioné COLOR_RENDER y me arrojó ese error, luego la sintaxis no funciona más. Y cada vez al abrirlo me arroja ese error. El compilador funciona bien.

EDIT: Para poder arreglar la sintaxis tuve que borrar el archivo const.sublime-syntax que esta en ...\AppData\Roaming\Sublime Text 3\Packages\amxmodx\
Believe, be yourself and don't hold on to just one dream ❤

Responder
Listo, en la v1.9 solucione esos errores.
Responder
(18/07/2016, 10:58 PM)Destro escribió: Listo, en la v1.9 solucione esos errores.

Genio, gracias Proud

Si surge algún otro error te lo comento acá.



En un código, de casualidad encontré esto:
[Imagen: N4F2WOA.png]
Believe, be yourself and don't hold on to just one dream ❤

Responder
Me paso lo mismo que a federicombug en la v1.8 movia los stocksy pasaba en el de abajo y asi sucesivamente, pero solo en un sector del codigo, en mi caso la linea 11230

*edit* en un zpbug tambien.
Responder
poste el code así me fijo bien cual es el problema
Responder
Lo estaba usando y salio el update, muchisimas gracias por estos aportes.
[Imagen: 76561198090851442.png]
Responder


Salto de foro:


Usuarios navegando en este tema: 1 invitado(s)